# Very simple gtk-server demo in Julia
#
# Ported from gtk-server demo-fifo.bash, by Peter van Eerten

f = gtk_init()

gtk_send(f,"gtk_init NULL NULL")
win=gtk_send(f,"gtk_window_new 0")
gtk_send(f,"gtk_window_set_title $win 'BASH GTK-server demo'")
gtk_send(f,"gtk_window_set_default_size $win 400 200")
gtk_send(f,"gtk_window_set_position $win 1")
tbl=gtk_send(f,"gtk_table_new 10 10 1")
gtk_send(f,"gtk_container_add $win $tbl")
info=gtk_send(f,"gtk_button_new_with_label 'Show info'")
gtk_send(f,"gtk_table_attach_defaults $tbl $info 1 4 6 9")
but=gtk_send(f,"gtk_button_new_with_label 'Click to Quit'")
gtk_send(f,"gtk_table_attach_defaults $tbl $but 6 9 6 9")
gtk_send(f,"gtk_widget_show_all $win")
dia=gtk_send(f,"u_dialog Information '\"Attack of the macros!\"' 200 130")

event=0

# Mainloop
while event != but && event != win
    event = gtk_send(f,"gtk_server_callback WAIT")
    if event == dia
        gtk_send(f,"gtk_widget_hide $dia")
    elseif event == info
        gtk_send(f,"gtk_widget_show_all $dia")
    end
end

# Exit GTK
gtk_exit(f)
